#include "SM_SysPch.h"
#include "MVFSPack.h"

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
MVFSPack::MVFSPack()
{
}

// Nombre      : 
// Parametros  : 
// Retorno     : 
// Descripcion : 
MVFSPack::~MVFSPack()
{
}

bool MVFSPack::Matches(char* pcFilePath, char* pcFilter)
{
  if ( (!pcFilePath) || (!pcFilter) ) return false;
    for ( ; *pcFilePath; ++pcFilePath )
    {
       char cm = *pcFilter++;
       if (cm=='?')            // '?' matches any char
         continue;
       else if (cm=='*')       // '*' matches all up to *pcFilter
       {
         while ( (*pcFilePath) && (*pcFilePath!=*pcFilter) ) ++pcFilePath;
         if (*pcFilePath!=*pcFilter) return false;
         --pcFilePath;
       }
       else                    // else test for 1-to-1 match
         if (cm!=*pcFilePath) return false;
    }
    return true;
}